# Uses of Class
com.google.protobuf.GeneratedMessageLite.GeneratedExtension

Packages that use GeneratedMessageLite.GeneratedExtension
Package
Description
com.google.protobuf

## Uses of GeneratedMessageLite.GeneratedExtension in com.google.protobuf

Methods in com.google.protobuf that return GeneratedMessageLite.GeneratedExtension
Modifier and Type
Method
Description
`<ContainingType extends MessageLite>
GeneratedMessageLite.GeneratedExtension<ContainingType,?>`
ExtensionRegistryLite.`findLiteExtensionByNumber(ContainingType containingTypeDefaultInstance, int fieldNumber)`
Find an extension by containing type and field number.
`static <ContainingType extends MessageLite, Type>
GeneratedMessageLite.GeneratedExtension<ContainingType,Type>`
GeneratedMessageLite.`newRepeatedGeneratedExtension(ContainingType containingTypeDefaultInstance, MessageLite messageDefaultInstance, Internal.EnumLiteMap<?> enumTypeMap, int number, WireFormat.FieldType type, boolean isPacked, Class singularType)`
For use by generated code only.
`static <ContainingType extends MessageLite, Type>
GeneratedMessageLite.GeneratedExtension<ContainingType,Type>`
GeneratedMessageLite.`newSingularGeneratedExtension(ContainingType containingTypeDefaultInstance, Type defaultValue, MessageLite messageDefaultInstance, Internal.EnumLiteMap<?> enumTypeMap, int number, WireFormat.FieldType type, Class singularType)`
For use by generated code only.
Methods in com.google.protobuf with parameters of type GeneratedMessageLite.GeneratedExtension
Modifier and Type
Method
Description
`final void`
ExtensionRegistryLite.`add(GeneratedMessageLite.GeneratedExtension<?,?> extension)`
Add an extension from a lite generated file to the registry.